"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.savePlutoGlobalConfig = exports.readPlutoGlobalConfig = void 0;
const os = __importStar(require("os"));
const path = __importStar(require("path"));
const fs = __importStar(require("fs-extra"));
const yaml = __importStar(require("js-yaml"));
const PLUTO_GLOBAL_CONFIG_PATH = path.join(os.homedir(), ".pluto", "config.yml");
function readPlutoGlobalConfig() {
    let plutoConfig = {};
    if (fs.existsSync(PLUTO_GLOBAL_CONFIG_PATH)) {
        const plutoConfigText = fs.readFileSync(PLUTO_GLOBAL_CONFIG_PATH, "utf-8");
        plutoConfig = yaml.load(plutoConfigText);
    }
    return plutoConfig;
}
exports.readPlutoGlobalConfig = readPlutoGlobalConfig;
function savePlutoGlobalConfig(plutoConfig) {
    fs.ensureFileSync(PLUTO_GLOBAL_CONFIG_PATH);
    fs.writeFileSync(PLUTO_GLOBAL_CONFIG_PATH, yaml.dump(plutoConfig));
}
exports.savePlutoGlobalConfig = savePlutoGlobalConfig;
//# sourceMappingURL=pluto-config.js.map